<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Directions to Fairs and Squares</title>
<!-- Time-stamp: "2001-03-20 14:52:07 gildea" -->
</head>

<body bgcolor="#ffffff">
<h1>Directions to Fairs and Squares</h1>
<p>
Ellison Hall, Plymouth Church<br>
87 Edgell Rd, Framingham Center
<p>
Take the Mass Pike to Exit 13, Rte 30, Framingham.&nbsp;  This is the first
exit west of Rte 128/I-95.&nbsp;  From Cambridge, toll is $0.50 in Brighton,
$0.70 at Exit 13.
<p>
After paying toll, veer right to get on Rte 30 West.&nbsp;
Stay on Rte 30 for 1.5 miles until it merges with Rte&nbsp;9.
<p>
After 0.8 mile on Rte 9 (Worcester Rd), exit before the
overpass at Trolley Sq. Shopping Center at Framingham Center.&nbsp;
The exit sign says "Rte 30 west".
<p>
At the first lights at the top of the ramp, turn right onto Edgell Rd.
<p>
Plymouth Church is the first church on the right: tall, red brick, and
set back from the road.&nbsp;  The driveway is on the left (far) side of the
church.
<p>
Turn right behind the church.&nbsp;  At the end of the parking lot, Plymouth
House is ahead and to the right.&nbsp;  The door to Ellison Hall is on the
far right.
<p>
Takes 40 minutes from MIT.
<p>
[checked Feb 1998]
<p>
See also
<a href="http://fairsnsquares.com/">
the Fairs and Squares own Web site</a>.
<p>
<hr>
<p>
Up to <a href="./">Directions table of contents</a><br>
Top: <a href="../">Tech Squares main page</a><br>
</body>
</html>
<!-- (For food afterwards, there is a Chili's on Rte 9 East (between
Framingham Center and Speen St) that serves until midnight.) -->
